.calendar {
  width: 100%;
  margin: 20px auto;
  /* border: 1px solid #ddd;
  border-radius: 12px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);*/
  padding: 1rem;
  background: #fff;
}

.calendar-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 1rem;
}

.calendar-header h4 {
  flex-grow: 1;
  text-align: center;
  margin: 0;
  font-weight: 600;
  text-transform: capitalize;
  font-size: 1rem;
}

.nav-buttons {
  display: flex;
  gap: 0.3rem;
}

.nav-buttons .btn {
  border-radius: 5px;
  border-style: none;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all 0.2s ease-in-out;
}

.nav-buttons .btn:hover {
  background-color: var(--cnvs-themecolor);
  color: #fff;
  transform: scale(1.1);
}

.calendar-grid {
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  text-align: center;
  gap: 0.25rem;
  table-layout: fixed; /* sorgt für gleiche Spaltenbreite */
}

.calendar-header-row,
#days {
  display: contents; /* beide teilen sich das Grid */
}

.day {
  background: #f6f6f6;
  border: 1px solid #f6f6f6;
  border-radius: 6px;
  min-height: 100px;
  padding: 5px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  position: relative;
  transition: background 0.2s;
}

.day:hover {
  background-color: #f6f6f6;
}

.day.today {
  border: 2px solid var(--cnvs-themecolor);
}

.day-number {
  font-size: 0.9rem;
  font-weight: 600;
  color: #333;
  margin-bottom: 2px;
}

.day.inactive .day-number {
  color: #888888;
}

.meeting-btn {
  background-color: var(--cnvs-themecolor);
  color: #fff;
  font-size: 0.65rem;
  margin-bottom: 2px;
  width: 100%;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
}

/* Kleine Geräte: Nur Nummern zeigen */
@media (max-width: 992px) {
  .meeting-btn::after {
    content: attr(data-index);
  }
  .meeting-btn {
    font-size: 0.7rem;
    text-align: center;
  }
  .meeting-btn span {
    display: none; /* Titel ausblenden */
  }
}

@media (max-width: 576px) {
  .day {
    min-height: 80px;
  }
}
